> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/publishers/pt/vast/vast-wrapper.md).

# Tag Wrapper VAST

## Exemplo XML

```xml
<?xml version="1.0" encoding="UTF-8"?>
<VAST version="3.0">
    <Ad id="1111111">
        <Wrapper>
            <AdSystem>EXADS</AdSystem>
            <VASTAdTagURI><![CDATA[https://external.adserver.com/xml?cid=1111111]]></VASTAdTagURI>
            <Impression id="exotr">
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vimp&tracking_event=impression&idzone=22222&data=abcd]]></Impression>
            <Error>
                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&errorcode=[ERRORCODE]&idzone=22222]]></Error>
            <Creatives>
                <Creative sequence="1" id="12345">
                    <Linear>
                        <TrackingEvents>
                            <Tracking id="prog_1" event="progress" offset="00:00:10.000">
                                <![CDATA[https://syndication.realsrv.com/vregister.php?a=vview&tracking_event=progress&progress=00:00:10.000&idzone=22222&data=abcd]]></Tracking>
                        </TrackingEvents>
                        <VideoClicks>
                            <ClickThrough>
                                <![CDATA[https://syndication.realsrv.com/click.php?data=abcd]]></ClickThrough>
                        </VideoClicks>
                    </Linear>
                </Creative>
            </Creatives>
        </Wrapper>
    </Ad>
</VAST>
```

## Propriedades

| Opção                                    | Explicação                                                                                                                                                                                                                                                                                                                                              |
| ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `<?xml version="1.0" encoding="UTF-8"?>` | Prólogo XML com versão e codificação definidas.                                                                                                                                                                                                                                                                                                         |
| `VAST`                                   | Versão VAST usada por este elemento                                                                                                                                                                                                                                                                                                                     |
| `Wrapper fallbackOnNoAd`                 | Indica que há outro elemento VAST dentro da árvore. Se "Video Fallback" estiver ativado nas definições da zona de anúncios, então isto também indicará qual a posição que este elemento tem na fila VAST                                                                                                                                                |
| `VASTAdTagURI`                           | O elemento é usado para fornecer um URI para uma resposta VAST secundária. Esta resposta secundária pode ser outro Wrapper, mas, eventualmente, um wrapper VAST deve devolver um `<InLine>` anúncio. A versão 3 não limita o número de redirecionamentos Wrapper, mas, a partir da versão 4, são permitidos no máximo 5 redirecionamentos VAST Wrapper. |
| `VideoClicks`                            | Elemento usado para especificar o que o reprodutor de vídeo deve fazer se o utilizador clicar diretamente na moldura do reprodutor de vídeo enquanto o anúncio está a ser exibido. Quando um `<VideoClicks>` elemento é fornecido, contém um único filho `<ClickTracking>` elemento com URI (ou `<ClickThrough>` no caso de VAST Tag).                  |
| `ClickTracking`                          | O elemento é usado para rastrear o `clique de saída` quando o ficheiro criativo lida com o `clique de saída`.                                                                                                                                                                                                                                           |
| `Extensão`                               | Definições adicionais fornecidas pelo servidor de anúncios                                                                                                                                                                                                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/publishers/pt/vast/vast-wrapper.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
